# coding: utf-8

"""
    ai/h2o/eval_studio/v1/collection.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictBool, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from eval_studio_client.api.models.v1_insight import V1Insight
from eval_studio_client.api.models.v1_leaderboard_status import V1LeaderboardStatus
from eval_studio_client.api.models.v1_leaderboard_type import V1LeaderboardType
from eval_studio_client.api.models.v1_problem_and_action import V1ProblemAndAction
from typing import Optional, Set
from typing_extensions import Self

class V1Leaderboard(BaseModel):
    """
    V1Leaderboard
    """ # noqa: E501
    name: Optional[StrictStr] = None
    create_time: Optional[datetime] = Field(default=None, description="Output only. Timestamp when the Leaderboard was created.", alias="createTime")
    creator: Optional[StrictStr] = Field(default=None, description="Output only. Name of the user or service that requested creation of the Leaderboard.")
    update_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Timestamp when the Leaderboard was last updated.", alias="updateTime")
    updater: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested update of the Leaderboard.")
    delete_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Set when the Leaderboard is deleted. When set Leaderboard should be considered as deleted.", alias="deleteTime")
    deleter: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested deletion of the Leaderboard.")
    display_name: Optional[StrictStr] = Field(default=None, description="Human readable name of the Leaderboard.", alias="displayName")
    description: Optional[StrictStr] = Field(default=None, description="Optional. Arbitrary description of the Leaderboard.")
    status: Optional[V1LeaderboardStatus] = None
    evaluator: Optional[StrictStr] = Field(default=None, description="Immutable. Resource name of the Evaluator used in this Leaderboard.")
    tests: Optional[List[StrictStr]] = Field(default=None, description="Immutable. Resource names of the Tests used in this Leaderboard.")
    model: Optional[StrictStr] = Field(default=None, description="Immutable. Resource name of the Model used in this Leaderboard.")
    create_operation: Optional[StrictStr] = Field(default=None, description="Output only. Operation resource name that created this Leaderboard.", alias="createOperation")
    leaderboard_report: Optional[StrictStr] = Field(default=None, alias="leaderboardReport")
    leaderboard_table: Optional[StrictStr] = Field(default=None, description="Output only. Leaderboard table in JSON format.", alias="leaderboardTable")
    leaderboard_summary: Optional[StrictStr] = Field(default=None, description="Output only. Leaderboard summary in Markdown format.", alias="leaderboardSummary")
    llm_models: Optional[List[StrictStr]] = Field(default=None, description="Immutable. System names of the LLM models used in this Leaderboard.", alias="llmModels")
    leaderboard_problems: Optional[List[V1ProblemAndAction]] = Field(default=None, description="Output only. Leaderboard problems and actions.", alias="leaderboardProblems")
    evaluator_parameters: Optional[StrictStr] = Field(default=None, description="Optional. Evaluator parameters setup.", alias="evaluatorParameters")
    insights: Optional[List[V1Insight]] = Field(default=None, description="Output only. Insights from the Leaderboard.")
    model_parameters: Optional[StrictStr] = Field(default=None, description="Optional. Prameters overrides in JSON format.", alias="modelParameters")
    h2ogpte_collection: Optional[StrictStr] = Field(default=None, description="The existing collection name in H2OGPTe.", alias="h2ogpteCollection")
    type: Optional[V1LeaderboardType] = None
    demo: Optional[StrictBool] = Field(default=None, description="Output only. Whether the Leaderboard is a demo resource or not. Demo resources are read only.")
    test_lab: Optional[StrictStr] = Field(default=None, description="Optional. Resource name of the TestLab if Leaderboard was created from a imported TestLab.", alias="testLab")
    __properties: ClassVar[List[str]] = ["name", "createTime", "creator", "updateTime", "updater", "deleteTime", "deleter", "displayName", "description", "status", "evaluator", "tests", "model", "createOperation", "leaderboardReport", "leaderboardTable", "leaderboardSummary", "llmModels", "leaderboardProblems", "evaluatorParameters", "insights", "modelParameters", "h2ogpteCollection", "type", "demo", "testLab"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1Leaderboard from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        """
        excluded_fields: Set[str] = set([
            "name",
            "create_time",
            "creator",
            "update_time",
            "updater",
            "delete_time",
            "deleter",
            "create_operation",
            "leaderboard_table",
            "leaderboard_summary",
            "leaderboard_problems",
            "insights",
            "demo",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in leaderboard_problems (list)
        _items = []
        if self.leaderboard_problems:
            for _item in self.leaderboard_problems:
                if _item:
                    _items.append(_item.to_dict())
            _dict['leaderboardProblems'] = _items
        # override the default output from pydantic by calling `to_dict()` of each item in insights (list)
        _items = []
        if self.insights:
            for _item in self.insights:
                if _item:
                    _items.append(_item.to_dict())
            _dict['insights'] = _items
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1Leaderboard from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "createTime": obj.get("createTime"),
            "creator": obj.get("creator"),
            "updateTime": obj.get("updateTime"),
            "updater": obj.get("updater"),
            "deleteTime": obj.get("deleteTime"),
            "deleter": obj.get("deleter"),
            "displayName": obj.get("displayName"),
            "description": obj.get("description"),
            "status": obj.get("status"),
            "evaluator": obj.get("evaluator"),
            "tests": obj.get("tests"),
            "model": obj.get("model"),
            "createOperation": obj.get("createOperation"),
            "leaderboardReport": obj.get("leaderboardReport"),
            "leaderboardTable": obj.get("leaderboardTable"),
            "leaderboardSummary": obj.get("leaderboardSummary"),
            "llmModels": obj.get("llmModels"),
            "leaderboardProblems": [V1ProblemAndAction.from_dict(_item) for _item in obj["leaderboardProblems"]] if obj.get("leaderboardProblems") is not None else None,
            "evaluatorParameters": obj.get("evaluatorParameters"),
            "insights": [V1Insight.from_dict(_item) for _item in obj["insights"]] if obj.get("insights") is not None else None,
            "modelParameters": obj.get("modelParameters"),
            "h2ogpteCollection": obj.get("h2ogpteCollection"),
            "type": obj.get("type"),
            "demo": obj.get("demo"),
            "testLab": obj.get("testLab")
        })
        return _obj


