# coding: utf-8

"""
    ai/h2o/eval_studio/v1/collection.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from typing import Optional, Set
from typing_extensions import Self

class V1TestCase(BaseModel):
    """
    V1TestCase
    """ # noqa: E501
    name: Optional[StrictStr] = None
    create_time: Optional[datetime] = Field(default=None, description="Output only. Timestamp when the Test was created.", alias="createTime")
    creator: Optional[StrictStr] = Field(default=None, description="Output only. Name of the user or service that requested creation of the TestCase.")
    update_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Timestamp when the TestCase was last updated.", alias="updateTime")
    updater: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested update of the TestCase.")
    delete_time: Optional[datetime] = Field(default=None, description="Output only. Optional. Set when the TestCase is deleted. When set TestCase should be considered as deleted.", alias="deleteTime")
    deleter: Optional[StrictStr] = Field(default=None, description="Output only. Optional. Name of the user or service that requested deletion of the TestCase.")
    parent: Optional[StrictStr] = Field(default=None, description="Parent Test resource name. e.g.: \"tests/<UUID>\".")
    prompt: Optional[StrictStr] = Field(default=None, description="Prompt text. Model input.")
    answer: Optional[StrictStr] = Field(default=None, description="Expected answer text. Model output.")
    constraints: Optional[List[StrictStr]] = Field(default=None, description="Constraints on the model output.")
    condition: Optional[StrictStr] = Field(default=None, description="Optional. Test case output condition, in a form of AIP-160 compliant filter expression.")
    __properties: ClassVar[List[str]] = ["name", "createTime", "creator", "updateTime", "updater", "deleteTime", "deleter", "parent", "prompt", "answer", "constraints", "condition"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1TestCase from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        * OpenAPI `readOnly` fields are excluded.
        """
        excluded_fields: Set[str] = set([
            "name",
            "create_time",
            "creator",
            "update_time",
            "updater",
            "delete_time",
            "deleter",
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1TestCase from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "createTime": obj.get("createTime"),
            "creator": obj.get("creator"),
            "updateTime": obj.get("updateTime"),
            "updater": obj.get("updater"),
            "deleteTime": obj.get("deleteTime"),
            "deleter": obj.get("deleter"),
            "parent": obj.get("parent"),
            "prompt": obj.get("prompt"),
            "answer": obj.get("answer"),
            "constraints": obj.get("constraints"),
            "condition": obj.get("condition")
        })
        return _obj


